package J20250723;

import java.util.Deque;
import java.util.LinkedList;

/**
 * @author WanJl
 * @version 1.0
 * @title Demo01_LinkedList
 * @description
 * @create 2025/7/23
 */
public class Demo01_LinkedList_Stack {
    public static void main(String[] args) {
        Deque<String> stack=new LinkedList<>();
        //如果使用LinkedList模拟栈结构stack，压栈元素，尽量使用push()方法或者addFirst()方法
        stack.push("张三");
        stack.push("李四");
        stack.push("王五");
        stack.push("赵六");
        stack.addFirst("张思");
        System.out.println(stack);
        //出栈
        //如果使用LinkedList模拟栈结构stack，进行元素出栈，尽量使用pop()方法或者removeFirst()方法
        stack.pop();
        System.out.println(stack);
        stack.pop();
        System.out.println(stack);
        //获取栈顶元素
        //如果使用LinkedList模拟栈结构stack，查找栈顶元素，尽量使用peek()方法或者peekFirst()方法
        String s = stack.peek();
        String s1 = stack.peekFirst();
        System.out.println(s);
        System.out.println(s1);

    }
}
